<?php
class getattribsstring extends getattribsstring_parent
{
	protected function _getSimList($sAttributeSql, $iCnt)
	{
	$myConfig = $this->getConfig();
	$oDb      = oxDb::getDb( oxDb::FETCH_MODE_ASSOC );
	$sArticleTable = $this->getViewName();
	$sObj2AttView = getViewName('oxobject2attribute');
	
	
	// #523A
	$iAttrPercent = $myConfig->getConfigParam( 'iAttributesPercent' )/100;
	// 70% same attributes
	if ( !$iAttrPercent || $iAttrPercent < 0 || $iAttrPercent > 1) {
	$iAttrPercent = 0.70;
	}
	// #1137V iAttributesPercent = 100 doesnt work
	$iHitMin = ceil( $iCnt * $iAttrPercent );
	
	// we do not use lists here as we don't need this overhead right now
	$aList= array();
	$sSelect =  "select oxobjectid, oxart.oxparentid, count(*) as cnt from {$sObj2AttView} as t1 LEFT JOIN {$sArticleTable} as oxart on (oxobjectid = oxart.oxid) where
			 ( $sAttribs )
			 and t1.oxobjectid != ".$oDb->quote( $this->oxarticles__oxid->value )."
			 group by t1.oxobjectid having count(*) >= $iHitMin ";
	
	$rs = $oDb->selectLimit( $sSelect, 50, 0 );
	$parents = array();
	if ($rs != false && $rs->recordCount() > 0) {
	while (!$rs->EOF) {
	$oxparentid = $rs->fields['OXPARENTID'];
	$oxobjectid = $rs->fields['OXOBJECTID'];
	
	if($oxparentid && $parents[$oxparentid] || !strcmp($oxobjectid,$this->oxarticles__oxid->value) || !strcmp($oxparentid,$this->oxarticles__oxid->value)) {
	$rs->moveNext();
	continue;
	}
	if($oxparentid){
	$parents[$oxparentid] = 1;
	} else {
	$parents[$oxobjectid] = 1;
	}
	$oTemp = new stdClass();    // #663
	$oTemp->cnt = $rs->fields['cnt'];
	$oTemp->id  = $oxobjectid;
	$oTemp->parent = $oxparentid;
	$aList[] = $oTemp;
	$rs->moveNext();
	}
	}
	return $aList;
	}
}